Retrieve a transaction
Identify the transaction by its Arcane transaction record ID or Solana transaction signature. The method returns 404 Not Found when the transaction is not associated with an Asset owned by the API key’s organization.

Authorizations

Authorization
string
header
required

Organization API key created through the User API.

Path Parameters

transactionId
string
required

Arcane transaction record ID or Solana transaction signature.

Response

Indexed transaction returned.

id
string
required

Arcane transaction record ID.

assetId
string
required
network
enum<string>
required
Available options:
solana
networkTransactionId
string
required

Solana transaction signature.

type
string
required

Indexed confidential-token event type.

slot
integer | null
required
blockTime
integer | null
required

Solana block time as Unix seconds.

signer
string | null
required
publicData
object
required

Sanitized public fields indexed from the transaction.

ciphertexts
object
required

Indexed confidential ciphertext fields. Plaintext confidential values are not returned by this resource.

indexedAt
string<date-time>
required
sourceAccount
string | null
destinationAccount
string | null